Bug 1342489 - Flickering Fedora 24 Login Screen on RHEL 7
Summary: Flickering Fedora 24 Login Screen on RHEL 7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Marc-Andre Lureau
QA Contact: Guo, Zhiyi
URL:
Whiteboard:
Depends On:
Blocks: 1410618
TreeView+ depends on / blocked
 
Reported: 2016-06-03 11:39 UTC by Marko Myllynen
Modified: 2017-08-01 17:46 UTC (History)
13 users (show)

Fixed In Version: qemu-kvm-1.5.3-129.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1410618 (view as bug list)
Environment:
Last Closed: 2017-08-01 17:46:48 UTC
Target Upstream Version:


Attachments (Terms of Use)
buggy video (295.15 KB, application/octet-stream)
2017-01-05 09:40 UTC, Guo, Zhiyi
no flags Details
fix video (52.27 KB, application/octet-stream)
2017-01-05 09:41 UTC, Guo, Zhiyi
no flags Details
buggy 128 video (355.21 KB, application/octet-stream)
2017-03-30 07:21 UTC, Guo, Zhiyi
no flags Details
fix 134 video (373.07 KB, application/octet-stream)
2017-03-30 07:22 UTC, Guo, Zhiyi
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1856 0 normal SHIPPED_LIVE Moderate: qemu-kvm security, bug fix, and enhancement update 2017-08-01 18:03:36 UTC

Description Marko Myllynen 2016-06-03 11:39:53 UTC
Description of problem:
After installing Fedora 24 Beta and the latest available updates, the login screen (GDM) flickers once a second on an up-to-date RHEL 7 host (using Spice not VNC). After logging in only a black screen is seen.

Uninstalling spice-vdagent and rebooting fixes both the issues.

Cole pointed out this bug during investigations:

https://bugzilla.redhat.com/show_bug.cgi?id=1266484

Thanks.

Comment 2 Gilles Dubreuil 2016-06-07 09:03:44 UTC
It's working when using or not using wayland.

When launching virt-viewer, spice initially fails complaining with following message: `Gtk-Message: Failed to load module "pk-gtk-module"`.

It seems some dependency missing.

After installing the missing RPM containing pk-gtk-module `yum install -y PackageKit-gtk3-module` everything is working as expected.

Comment 3 Gilles Dubreuil 2016-06-07 09:13:31 UTC
BTW I used RHEL7.2 (spice-gtk3-0.26-5.el7.x86_64) host with Fedora 24 guest (spice-vdagent-0.16.0-3.fc24.x86_64).

Comment 4 Marko Myllynen 2016-06-07 09:15:19 UTC
I have the latest PackageKit-gtk3-module installed on both the host and the guest.

spice-gtk3-0.26-5.el7.x86_64 and spice-vdagent-0.16.0-3.fc24.x86_64.

Thanks.

Comment 5 Gilles Dubreuil 2016-06-08 02:02:25 UTC
Hi Marko,

Could you please clarify your latest comment?
Is it working now with aforementioned packages?

Thanks

Comment 6 Marko Myllynen 2016-06-08 06:36:03 UTC
(In reply to Gilles Dubreuil from comment #5)
> 
> Could you please clarify your latest comment?
> Is it working now with aforementioned packages?

Sorry, I meant it's still not working even with those packages.

Thanks.

Comment 7 Gilles Dubreuil 2016-06-08 08:18:04 UTC
This might be related to the environment.

Comment 8 Marko Myllynen 2016-06-08 08:53:53 UTC
(In reply to Gilles Dubreuil from comment #7)
> This might be related to the environment.

Do you have any ideas what could be checked? F24ß installation was a click-through using the defaults and applying the updates, all other guests on the same RHEL 7 host work nicely.

Thanks,

Comment 9 Cole Robinson 2016-06-08 11:35:05 UTC
Gilles what client tool are you using to test? virt-viewer, boxes, etc. Note a required bit to reproduce is that resize-guest is in use.

Comment 10 Pavel Grunt 2016-06-08 11:55:05 UTC
ok, so spice server, spice-vdagent is the same, qemu is the same, but only the f24 guest has the issue (and I don't think (unreleased) f24 is supported as the guest). It is not regression on the spice-gtk - all the versions have the issue.

The bug is not fixed upstream, workaround for spice-gtk exists - but it causes other regressions. We need to fixed the issue upstream first (personally I don't know why the fix should be in spice-gtk - the problem is specific to f24 GUEST with the gnome on Wayland desktop environment).

Meanwhile I recommend to use virt-viewer or remote-viewer instead of gnome-boxes for connecting to the f24 guest.

I move the bug to rhel-7.4

Comment 11 Marko Myllynen 2016-06-08 12:05:15 UTC
Sorry if I've been again a bit unclear - not using gnome-boxes here.

This is how I get to hit this:

1) Installed Fedora 24 Beta with virt-install
2) Double-click the VM in virt-manager to open its display and see the flicker

I'm pasting the F24 VM XML definition file below just in case:

<!--
WARNING: THIS IS AN AUTO-GENERATED FILE. CHANGES TO IT ARE LIKELY TO BE
OVERWRITTEN AND LOST. Changes to this xml configuration should be made using:
  virsh edit fedora-24-beta
or other application using the libvirt API.
-->

<domain type='kvm'>
  <name>fedora-24-beta</name>
  <uuid>5ad88b58-4449-4c08-8b3a-f1cacfc78d8a</uuid>
  <memory unit='KiB'>2097152</memory>
  <currentMemory unit='KiB'>2097152</currentMemory>
  <vcpu placement='static'>2</vcpu>
  <os>
    <type arch='x86_64' machine='pc-i440fx-rhel7.0.0'>hvm</type>
    <boot dev='hd'/>
  </os>
  <features>
    <acpi/>
    <apic/>
  </features>
  <cpu mode='custom' match='exact'>
    <model fallback='allow'>IvyBridge</model>
  </cpu>
  <clock offset='utc'>
    <timer name='rtc' tickpolicy='catchup'/>
    <timer name='pit' tickpolicy='delay'/>
    <timer name='hpet' present='no'/>
  </clock>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>restart</on_crash>
  <pm>
    <suspend-to-mem enabled='no'/>
    <suspend-to-disk enabled='no'/>
  </pm>
  <devices>
    <emulator>/usr/libexec/qemu-kvm</emulator>
    <disk type='file' device='disk'>
      <driver name='qemu' type='qcow2' cache='none' io='native'/>
      <source file='/VirtualMachines/fedora-24-beta.qcow2'/>
      <target dev='vda' bus='virtio'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x0'/>
    </disk>
    <controller type='usb' index='0' model='ich9-ehci1'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x7'/>
    </controller>
    <controller type='usb' index='0' model='ich9-uhci1'>
      <master startport='0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x0' multifunction='on'/>
    </controller>
    <controller type='usb' index='0' model='ich9-uhci2'>
      <master startport='2'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x1'/>
    </controller>
    <controller type='usb' index='0' model='ich9-uhci3'>
      <master startport='4'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x2'/>
    </controller>
    <controller type='pci' index='0' model='pci-root'/>
    <controller type='ide' index='0'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x1'/>
    </controller>
    <controller type='virtio-serial' index='0'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </controller>
    <interface type='network'>
      <mac address='52:54:00:0a:6b:42'/>
      <source network='default'/>
      <model type='virtio'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </interface>
    <serial type='pty'>
      <target port='0'/>
    </serial>
    <console type='pty'>
      <target type='serial' port='0'/>
    </console>
    <channel type='unix'>
      <source mode='bind' path='/var/lib/libvirt/qemu/channel/target/domain-fedora-24-beta/org.qemu.guest_agent.0'/>
      <target type='virtio' name='org.qemu.guest_agent.0'/>
      <address type='virtio-serial' controller='0' bus='0' port='1'/>
    </channel>
    <channel type='spicevmc'>
      <target type='virtio' name='com.redhat.spice.0'/>
      <address type='virtio-serial' controller='0' bus='0' port='2'/>
    </channel>
    <input type='mouse' bus='ps2'/>
    <input type='keyboard' bus='ps2'/>
    <graphics type='spice' autoport='yes'/>
    <sound model='ich6'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x08' function='0x0'/>
    </sound>
    <video>
      <model type='qxl' ram='65536' vram='65536' vgamem='16384' heads='1'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>
    <memballoon model='virtio'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x0'/>
    </memballoon>
  </devices>
</domain>

Thanks.

Comment 13 Pavel Grunt 2016-06-08 12:18:50 UTC
(In reply to Marko Myllynen from comment #11)
> Sorry if I've been again a bit unclear - not using gnome-boxes here.
> 
If you want to use virt-manager than you can disable the resize guest functionally which exposes the flickering problem:

double click on the vm -> click on View -> Scale Display -> uncheck "Auto resize VM with window" -> flickering will disappear

or use `virt-viewer -c qemu:///system` to connect to the vm - resizing guest will work and there will be no flickering

I would like to solve the bug, but there are more issue complicating the solution which need investigation - for example linux guests do not want to resize to resolutions with odd width

Comment 15 Marko Myllynen 2016-06-08 12:24:08 UTC
(In reply to Pavel Grunt from comment #13)
> (In reply to Marko Myllynen from comment #11)
> > Sorry if I've been again a bit unclear - not using gnome-boxes here.
> > 
> If you want to use virt-manager than you can disable the resize guest
> functionally which exposes the flickering problem:
> 
> double click on the vm -> click on View -> Scale Display -> uncheck "Auto
> resize VM with window" -> flickering will disappear

Confirmed.

> or use `virt-viewer -c qemu:///system` to connect to the vm - resizing guest
> will work and there will be no flickering
> 
> I would like to solve the bug

Sounds good, for me personally flickering here is not much of an issue, I merely reported an issue I saw and want to help to the extent I can to have it solved.

Thanks.

Comment 17 Gilles Dubreuil 2016-06-08 12:54:05 UTC
I used virt-viewer.
I might be using a different kernel (from OSP channel), that would explain. Unfortunately I don't have access to the test machine for a while (moving office).

Comment 18 Kedar Kulkarni 2016-08-31 23:33:18 UTC
I also have somewhat same problem. I am using boxes and I downloaded fresh Fedora 24 image and then installed it in Boxes. After installation was complete, I restarted the VM and then at Login screen it started to Flicker. I was still able to type in password and login, but once we are past login, there will be a complete black screen that won't go anywhere beyond that. Same thing happened previously, when I first time updated my Fedora 23 to 24 using dnf update/upgrade I don't remember how exactly I did update, but once done, I restart and my working VM became useless.

Comment 19 Pavel Grunt 2016-09-01 07:15:44 UTC
Hi,

(In reply to kkulkarn from comment #18)
> I also have somewhat same problem. I am using boxes and I downloaded fresh
> Fedora 24 image and then installed it in Boxes. After installation was
> complete, I restarted the VM and then at Login screen it started to Flicker.
> I was still able to type in password and login, but once we are past login,
> there will be a complete black screen that won't go anywhere beyond that.
> Same thing happened previously, when I first time updated my Fedora 23 to 24
> using dnf update/upgrade I don't remember how exactly I did update, but once
> done, I restart and my working VM became useless.

Try changing video node (using `virsh edit`) to:

    <video>
      <model type='virtio' heads='1' primary='yes'/>
    </video>


https://bugzilla.redhat.com/show_bug.cgi?id=1266484#c38

Comment 20 Pavel Grunt 2016-12-07 14:40:18 UTC
It was decided to fix it on the guest/host side. Moving to qemu, see https://bugzilla.redhat.com/show_bug.cgi?id=1392239 for more info

Comment 21 Marc-Andre Lureau 2017-01-02 14:16:33 UTC
QA, please check with this brew build:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=12286301

Comment 22 Guo, Zhiyi 2017-01-05 09:39:22 UTC
Test against qemu-kvm-rhev-2.6.0-27.el7.x86_64, launch fedora 24 guest via virt-manager and select View -> Scale Display -> Auto resize VM with Window. I can reproduce flicker issue easily.

Verify this issue against qemu-kvm-rhev-2.6.0-28.el7_3.2.elmarco201701021505.x86_64.

You can refer to the buggy video and fix video from attachment.

Comment 23 Guo, Zhiyi 2017-01-05 09:40:31 UTC
Created attachment 1237550 [details]
buggy video

Comment 24 Guo, Zhiyi 2017-01-05 09:41:04 UTC
Created attachment 1237551 [details]
fix video

Comment 26 Miroslav Rezanina 2017-01-18 12:10:40 UTC
Fix included in qemu-kvm-1.5.3-129.el7

Comment 28 Guo, Zhiyi 2017-03-30 07:20:26 UTC
Reproduce this issue against qemu-kvm-1.5.3-128.el7.x86_64
launch fedora 24 guest via virt-manager and select View -> Scale Display -> Auto resize VM with Window. I can reproduce flicker issue easily, upload evidence buggy-128 video

Verify this issue against qemu-kvm-1.5.3-134.el7.x86_64, upload evidence fix-134 video

Comment 29 Guo, Zhiyi 2017-03-30 07:21:28 UTC
Created attachment 1267429 [details]
buggy 128 video

Comment 30 Guo, Zhiyi 2017-03-30 07:22:29 UTC
Created attachment 1267430 [details]
fix 134 video

Comment 31 Guo, Zhiyi 2017-03-30 07:23:00 UTC
Verified per comment 28-30

Comment 32 errata-xmlrpc 2017-08-01 17:46:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1856


Note You need to log in before you can comment on or make changes to this bug.